## ros-kinetic-ipa-3d-fov-visualization 0.6.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ipa_3d_fov_visualization)


find_package(catkin REQUIRED COMPONENTS
            cv_bridge
            image_geometry
            roscpp
            sensor_msgs
            visualization_msgs
            )

catkin_package(
  CATKIN_DEPENDS sensor_msgs visualization_msgs
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)


add_executable(${PROJECT_NAME} src/${PROJECT_NAME}.cpp)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-ipa-3d-fov-visualization (0.6.17-1xenial) xenial; urgency=high



 -- Florenz Graf <florenz.graf@ipa.fraunhofer.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-kinetic-ipa-3d-fov-visualization (0.6.16-1xenial) xenial; urgency=high

  * Merge pull request #101 <https://github.com/ipa320/cob_perception_common/issues/101> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Florenz Graf <florenz.graf@ipa.fraunhofer.de>  Fri, 09 Oct 2020 22:00:00 -0000

ros-kinetic-ipa-3d-fov-visualization (0.6.15-1xenial) xenial; urgency=high

  * Merge pull request #99 <https://github.com/ipa320/cob_perception_common/issues/99> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Florenz Graf <florenz.graf@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-ipa-3d-fov-visualization (0.6.14-1xenial) xenial; urgency=high



 -- Florenz Graf <florenz.graf@ipa.fraunhofer.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-ipa-3d-fov-visualization (0.6.13-1xenial) xenial; urgency=high

  * added feature 3d fov visualization (#91 <https://github.com/ipa320/cob_perception_common/issues/91>)
    * added feature 3d fov visualization
    * removed modification
    * fixed PR errors from fmesser
    * updated PR issues
    * fixed tab
    * fixed PR requrest
    * Update object_detection_visualizer_node.cpp
    * changed license
  * Contributors: Florenz Graf

 -- Florenz Graf <florenz.graf@ipa.fraunhofer.de>  Wed, 13 Mar 2019 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ipa-3d-fov-visualization
Section: misc
Priority: optional
Maintainer: Florenz Graf <florenz.graf@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-image-geometry, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-ipa-3d-fov-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cv-bridge, ros-kinetic-image-geometry, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-visualization-msgs
Description: The ipa_3d_fov_visualization package allows to visualize the field-of-view of a camera.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ipa-3d-fov-visualization//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
